InviteStatus (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-14

org.gcube.portal.databook.shared

## Enum InviteStatus

- java.lang.Object
- - java.lang.Enum<InviteStatus>
  - - org.gcube.portal.databook.shared.InviteStatus

- All Implemented Interfaces:
    Serializable, Comparable<InviteStatus>

      public enum InviteStatus
      extends Enum<InviteStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTED` User accepted the invite
    `PENDING` First status of anyh invite
    `REJECTED` User rejected the invite
    `RETRACTED` Manager withdrawed the invite

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InviteStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InviteStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final InviteStatus PENDING

      First status of anyh invite

    - #### ACCEPTED

          public static final InviteStatus ACCEPTED

      User accepted the invite

    - #### REJECTED

          public static final InviteStatus REJECTED

      User rejected the invite

    - #### RETRACTED

          public static final InviteStatus RETRACTED

      Manager withdrawed the invite

  - ### Method Detail

    - #### values

          public static InviteStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InviteStatus c : InviteStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InviteStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All Rights Reserved.